## Class Constants

- java.lang.Object
- - Constants

-     public class Constants
      extends java.lang.Object

  This class contains constants (macros) that are used throughout the program.
  Author:
    Petros Soutzis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `BLOCK_SIZE`
    `(package private) static int` | `BYTE_LENGTH`
    `(package private) static long` | `GDESCRIPTOR_OFFSET`
    `(package private) static int` | `I_ACCESS_TIME_OFFSET`
    `(package private) static int` | `I_BLOCK_POINTERS_OFFSET`
    `(package private) static int` | `I_CREATION_TIME_OFFSET`
    `(package private) static int` | `I_DELETION_TIME_OFFSET`
    `(package private) static int` | `I_GID_OFFSET`
    `(package private) static int` | `I_LINKS_COUNT_OFFSET`
    `(package private) static int` | `I_MODE_OFFSET`
    `(package private) static int` | `I_MODIFICATION_TIME_OFFSET`
    `(package private) static int` | `I_SIZE_LOWER_OFFSET`
    `(package private) static int` | `I_SIZE_UPPER_OFFSET`
    `(package private) static int` | `I_UID_OFFSET`
    `(package private) static int` | `IFBLK`
    `(package private) static int` | `IFCHR`
    `(package private) static int` | `IFDIR`
    `(package private) static int` | `IFIFO`
    `(package private) static int` | `IFLNK`
    `(package private) static int` | `IFREG`
    `(package private) static int` | `IFSCK`
    `(package private) static int` | `INODE_POINTERS_COUNT`
    `(package private) static int` | `IRGRP`
    `(package private) static int` | `IROTH`
    `(package private) static int` | `IRUSR`
    `(package private) static int` | `ISGID`
    `(package private) static int` | `ISUID`
    `(package private) static int` | `ISVTX`
    `(package private) static int` | `IWGRP`
    `(package private) static int` | `IWOTH`
    `(package private) static int` | `IWUSR`
    `(package private) static int` | `IXGRP`
    `(package private) static int` | `IXOTH`
    `(package private) static int` | `IXUSR`
    `(package private) static int` | `NUMBER_OF_GROUPS`
    `(package private) static java.lang.String` | `ROOT`
    `(package private) static int` | `ROOT_INODE_OFFSET`
    `(package private) static int` | `S_BLOCK_COUNT_OFFSET`
    `(package private) static int` | `S_BLOCKS_PER_GROUP_OFFSET`
    `(package private) static int` | `S_FILESYSTEM_NAME_LENGTH`
    `(package private) static int` | `S_FILESYSTEM_NAME_OFFSET`
    `(package private) static int` | `S_INODE_COUNT_OFFSET`
    `(package private) static int` | `S_INODE_SIZE_OFFSET`
    `(package private) static int` | `S_INODES_PER_GROUP_OFFSET`
    `(package private) static int` | `S_MAGIC_OFFSET`
    `(package private) static int` | `SHORT_LENGTH`
    `(package private) static long` | `SUPERBLOCK_OFFSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLOCK_SIZE

          static final int BLOCK_SIZE

      See Also:
        Constant Field Values

    - #### ROOT_INODE_OFFSET

          static final int ROOT_INODE_OFFSET

      See Also:
        Constant Field Values

    - #### SUPERBLOCK_OFFSET

          static final long SUPERBLOCK_OFFSET

      See Also:
        Constant Field Values

    - #### GDESCRIPTOR_OFFSET

          static final long GDESCRIPTOR_OFFSET

      See Also:
        Constant Field Values

    - #### BYTE_LENGTH

          static final int BYTE_LENGTH

      See Also:
        Constant Field Values

    - #### SHORT_LENGTH

          static final int SHORT_LENGTH

      See Also:
        Constant Field Values

    - #### ROOT

          static final java.lang.String ROOT

      See Also:
        Constant Field Values

    - #### S_MAGIC_OFFSET

          static final int S_MAGIC_OFFSET

      See Also:
        Constant Field Values

    - #### S_INODE_COUNT_OFFSET

          static final int S_INODE_COUNT_OFFSET

      See Also:
        Constant Field Values

    - #### S_BLOCK_COUNT_OFFSET

          static final int S_BLOCK_COUNT_OFFSET

      See Also:
        Constant Field Values

    - #### S_BLOCKS_PER_GROUP_OFFSET

          static final int S_BLOCKS_PER_GROUP_OFFSET

      See Also:
        Constant Field Values

    - #### S_INODES_PER_GROUP_OFFSET

          static final int S_INODES_PER_GROUP_OFFSET

      See Also:
        Constant Field Values

    - #### S_INODE_SIZE_OFFSET

          static final int S_INODE_SIZE_OFFSET

      See Also:
        Constant Field Values

    - #### S_FILESYSTEM_NAME_OFFSET

          static final int S_FILESYSTEM_NAME_OFFSET

      See Also:
        Constant Field Values

    - #### S_FILESYSTEM_NAME_LENGTH

          static final int S_FILESYSTEM_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### INODE_POINTERS_COUNT

          static final int INODE_POINTERS_COUNT

      See Also:
        Constant Field Values

    - #### NUMBER_OF_GROUPS

          static final int NUMBER_OF_GROUPS

      See Also:
        Constant Field Values

    - #### IFSCK

          static final int IFSCK

      See Also:
        Constant Field Values

    - #### IFLNK

          static final int IFLNK

      See Also:
        Constant Field Values

    - #### IFREG

          static final int IFREG

      See Also:
        Constant Field Values

    - #### IFBLK

          static final int IFBLK

      See Also:
        Constant Field Values

    - #### IFDIR

          static final int IFDIR

      See Also:
        Constant Field Values

    - #### IFCHR

          static final int IFCHR

      See Also:
        Constant Field Values

    - #### IFIFO

          static final int IFIFO

      See Also:
        Constant Field Values

    - #### ISUID

          static final int ISUID

      See Also:
        Constant Field Values

    - #### ISGID

          static final int ISGID

      See Also:
        Constant Field Values

    - #### ISVTX

          static final int ISVTX

      See Also:
        Constant Field Values

    - #### IRUSR

          static final int IRUSR

      See Also:
        Constant Field Values

    - #### IWUSR

          static final int IWUSR

      See Also:
        Constant Field Values

    - #### IXUSR

          static final int IXUSR

      See Also:
        Constant Field Values

    - #### IRGRP

          static final int IRGRP

      See Also:
        Constant Field Values

    - #### IWGRP

          static final int IWGRP

      See Also:
        Constant Field Values

    - #### IXGRP

          static final int IXGRP

      See Also:
        Constant Field Values

    - #### IROTH

          static final int IROTH

      See Also:
        Constant Field Values

    - #### IWOTH

          static final int IWOTH

      See Also:
        Constant Field Values

    - #### IXOTH

          static final int IXOTH

      See Also:
        Constant Field Values

    - #### I_MODE_OFFSET

          static final int I_MODE_OFFSET

      See Also:
        Constant Field Values

    - #### I_UID_OFFSET

          static final int I_UID_OFFSET

      See Also:
        Constant Field Values

    - #### I_SIZE_LOWER_OFFSET

          static final int I_SIZE_LOWER_OFFSET

      See Also:
        Constant Field Values

    - #### I_ACCESS_TIME_OFFSET

          static final int I_ACCESS_TIME_OFFSET

      See Also:
        Constant Field Values

    - #### I_CREATION_TIME_OFFSET

          static final int I_CREATION_TIME_OFFSET

      See Also:
        Constant Field Values

    - #### I_MODIFICATION_TIME_OFFSET

          static final int I_MODIFICATION_TIME_OFFSET

      See Also:
        Constant Field Values

    - #### I_DELETION_TIME_OFFSET

          static final int I_DELETION_TIME_OFFSET

      See Also:
        Constant Field Values

    - #### I_GID_OFFSET

          static final int I_GID_OFFSET

      See Also:
        Constant Field Values

    - #### I_LINKS_COUNT_OFFSET

          static final int I_LINKS_COUNT_OFFSET

      See Also:
        Constant Field Values

    - #### I_BLOCK_POINTERS_OFFSET

          static final int I_BLOCK_POINTERS_OFFSET

      See Also:
        Constant Field Values

    - #### I_SIZE_UPPER_OFFSET

          static final int I_SIZE_UPPER_OFFSET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()